/*
Copyright (c) 2003-2018, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
*/
.cke_reset {
    margin: 0;
    padding: 0;
    border: 0;
    background: transparent;
    text-decoration: none;
    width: auto;
    height: auto;
    vertical-align: baseline;
    box-sizing: content-box;
    position: static;
    transition: none
}

.cke_reset_all, .cke_reset_all *, .cke_reset_all a, .cke_reset_all textarea {
    margin: 0;
    padding: 0;
    border: 0;
    background: transparent;
    text-decoration: none;
    width: auto;
    height: auto;
    vertical-align: baseline;
    box-sizing: content-box;
    position: static;
    transition: none;
    border-collapse: collapse;
    font: normal normal normal 12px Arial,Helvetica,Tahoma,Verdana,Sans-Serif;
    color: #000;
    text-align: left;
    white-space: nowrap;
    cursor: auto;
    float: none
}

    .cke_reset_all .cke_rtl * {
        text-align: right
    }

    .cke_reset_all iframe {
        vertical-align: inherit
    }

    .cke_reset_all textarea {
        white-space: pre-wrap
    }

    .cke_reset_all textarea, .cke_reset_all input[type="text"], .cke_reset_all input[type="password"] {
        cursor: text
    }

        .cke_reset_all textarea[disabled], .cke_reset_all input[type="text"][disabled], .cke_reset_all input[type="password"][disabled] {
            cursor: default
        }

    .cke_reset_all fieldset {
        padding: 10px;
        border: 2px groove #e0dfe3
    }

    .cke_reset_all select {
        box-sizing: border-box
    }

    .cke_reset_all table {
        table-layout: auto
    }

.cke_chrome {
    display: block;
    border: 1px solid #d1d1d1;
    padding: 0
}

.cke_inner {
    display: block;
    background: #fff;
    padding: 0;
    -webkit-touch-callout: none
}

.cke_float {
    border: 0
}

    .cke_float .cke_inner {
        padding-bottom: 0
    }

.cke_top, .cke_contents, .cke_bottom {
    display: block;
    overflow: hidden
}

.cke_top {
    border-bottom: 1px solid #d1d1d1;
    background: #f8f8f8;
    padding: 6px 8px 2px;
    white-space: normal
}

.cke_float .cke_top {
    border: 1px solid #d1d1d1
}

.cke_bottom {
    padding: 6px 8px 2px;
    position: relative;
    border-top: 1px solid #d1d1d1;
    background: #f8f8f8
}

.cke_browser_ios .cke_contents {
    overflow-y: auto;
    -webkit-overflow-scrolling: touch
}

.cke_resizer {
    width: 0;
    height: 0;
    overflow: hidden;
    border-width: 10px 10px 0 0;
    border-color: transparent #bcbcbc transparent transparent;
    border-style: dashed solid dashed dashed;
    font-size: 0;
    vertical-align: bottom;
    margin-top: 6px;
    margin-bottom: 2px
}

.cke_hc .cke_resizer {
    font-size: 15px;
    width: auto;
    height: auto;
    border-width: 0
}

.cke_resizer_ltr {
    cursor: se-resize;
    float: right;
    margin-right: -4px
}

.cke_resizer_rtl {
    border-width: 10px 0 0 10px;
    border-color: transparent transparent transparent #bcbcbc;
    border-style: dashed dashed dashed solid;
    cursor: sw-resize;
    float: left;
    margin-left: -4px;
    right: auto
}

.cke_wysiwyg_div {
    display: block;
    height: 100%;
    overflow: auto;
    padding: 0 8px;
    outline-style: none;
    box-sizing: border-box
}

.cke_panel {
    visibility: visible;
    width: 120px;
    height: 100px;
    overflow: hidden;
    background-color: #fff;
    border: 1px solid #d1d1d1
}

.cke_menu_panel {
    padding: 0;
    margin: 0
}

.cke_combopanel {
    width: 150px;
    height: 170px
}

.cke_panel_frame {
    width: 100%;
    height: 100%;
    font-size: 12px;
    overflow: auto;
    overflow-x: hidden
}

.cke_panel_container {
    overflow-y: auto;
    overflow-x: hidden
}

.cke_panel_block:focus {
    outline: 0
}

.cke_panel_list {
    margin: 0;
    padding: 0;
    list-style-type: none;
    white-space: nowrap
}

.cke_panel_listItem {
    margin: 0;
    padding: 0
}

    .cke_panel_listItem a {
        padding: 6px 7px;
        display: block;
        color: inherit !important;
        text-decoration: none;
        overflow: hidden;
        text-overflow: ellipsis
    }

.cke_hc .cke_panel_listItem a {
    border-style: none
}

.cke_panel_listItem.cke_selected a, .cke_panel_listItem a:hover, .cke_panel_listItem a:focus, .cke_panel_listItem a:active {
    background-color: #e9e9e9
}

.cke_panel_listItem a:focus {
    outline: 1px dotted #000
}

.cke_hc .cke_panel_listItem a:hover, .cke_hc .cke_panel_listItem a:focus, .cke_hc .cke_panel_listItem a:active {
    border: 2px solid;
    padding: 4px 5px
}

.cke_panel_listItem p, .cke_panel_listItem h1, .cke_panel_listItem h2, .cke_panel_listItem h3, .cke_panel_listItem h4, .cke_panel_listItem h5, .cke_panel_listItem h6, .cke_panel_listItem pre {
    margin-top: 0;
    margin-bottom: 0
}

.cke_panel_grouptitle {
    cursor: default;
    font-size: 11px;
    font-weight: bold;
    white-space: nowrap;
    margin: 0;
    padding: 6px 6px 7px 6px;
    color: #484848;
    border-bottom: 1px solid #d1d1d1;
    background: #f8f8f8
}

.cke_colorblock {
    padding: 10px;
    font-size: 11px;
    font-family: Tahoma,Arial,Verdana,Sans-Serif
}

    .cke_colorblock, .cke_colorblock a {
        text-decoration: none;
        color: #000
    }

a.cke_colorbox {
    padding: 2px;
    float: left;
    width: 20px;
    height: 20px
}

.cke_rtl a.cke_colorbox {
    float: right
}

a:hover.cke_colorbox, a:focus.cke_colorbox, a:active.cke_colorbox {
    outline: 0;
    padding: 0;
    border: 2px solid #139ff7
}

a:hover.cke_colorbox {
    border-color: #bcbcbc
}

span.cke_colorbox {
    width: 20px;
    height: 20px;
    float: left
}

.cke_rtl span.cke_colorbox {
    float: right
}

a.cke_colorauto, a.cke_colormore {
    border: #fff 1px solid;
    padding: 3px;
    display: block;
    cursor: pointer
}

a.cke_colorauto {
    padding: 0;
    border: 1px solid transparent;
    margin-bottom: 6px;
    height: 26px;
    line-height: 26px
}

a.cke_colormore {
    margin-top: 10px;
    height: 20px;
    line-height: 19px
}

a:hover.cke_colorauto, a:hover.cke_colormore, a:focus.cke_colorauto, a:focus.cke_colormore, a:active.cke_colorauto, a:active.cke_colormore {
    outline: 0;
    border: #139ff7 1px solid;
    background-color: #f8f8f8
}

a:hover.cke_colorauto, a:hover.cke_colormore {
    border-color: #bcbcbc
}

.cke_colorauto span.cke_colorbox {
    width: 18px;
    height: 18px;
    border: 1px solid #808080;
    margin-left: 1px;
    margin-top: 3px
}

.cke_rtl .cke_colorauto span.cke_colorbox {
    margin-left: 0;
    margin-right: 1px
}

span.cke_colorbox[style*="#ffffff"], span.cke_colorbox[style*="#FFFFFF"], span.cke_colorbox[style="background-color:#fff"], span.cke_colorbox[style="background-color:#FFF"], span.cke_colorbox[style*="rgb(255,255,255)"], span.cke_colorbox[style*="rgb(255, 255, 255)"] {
    border: 1px solid #808080;
    width: 18px;
    height: 18px
}

.cke_toolbar {
    float: left
}

.cke_rtl .cke_toolbar {
    float: right
}

.cke_toolgroup {
    border: 0;
    float: left;
    margin: 1px 2px 6px 0;
    padding-right: 3px
}

.cke_rtl .cke_toolgroup {
    float: right;
    margin: 1px 0 6px 2px;
    padding-left: 3px;
    padding-right: 0
}

.cke_hc .cke_toolgroup {
    margin-right: 5px;
    margin-bottom: 5px
}

.cke_hc.cke_rtl .cke_toolgroup {
    margin-right: 0;
    margin-left: 5px
}

a.cke_button {
    display: inline-block;
    height: 18px;
    padding: 4px 6px;
    outline: 0;
    cursor: default;
    float: left;
    border: 0;
    position: relative
}

.cke_rtl a.cke_button {
    float: right
}

.cke_hc a.cke_button {
    border: 1px solid black;
    padding: 3px 5px;
    margin: 0 3px 5px 0
}

.cke_hc.cke_rtl a.cke_button {
    margin: 0 0 5px 3px
}

a.cke_button_on {
    background: #fff;
    border: 1px #bcbcbc solid;
    padding: 3px 5px
}

a.cke_button_off:hover, a.cke_button_off:focus, a.cke_button_off:active {
    background: #e5e5e5;
    border: 1px #bcbcbc solid;
    padding: 3px 5px
}

.cke_hc a.cke_button_on, .cke_hc a.cke_button_off:hover, .cke_hc a.cke_button_off:focus, .cke_hc a.cke_button_off:active {
    background: #e5e5e5;
    border: 3px solid #000;
    padding: 1px 3px
}

a.cke_button_disabled:hover, a.cke_button_disabled:focus, a.cke_button_disabled:active {
    border: 0;
    padding: 4px 6px;
    background-color: transparent
}

a.cke_button_disabled:focus {
    border: 1px #bcbcbc solid;
    padding: 3px 5px
}

.cke_hc a.cke_button_disabled:hover, .cke_hc a.cke_button_disabled:focus, .cke_hc a.cke_button_disabled:active {
    border: 1px solid #acacac;
    padding: 3px 5px;
    margin: 0 3px 5px 0
}

.cke_hc a.cke_button_disabled:focus {
    border: 3px solid #000;
    padding: 1px 3px
}

.cke_hc.cke_rtl a.cke_button_disabled:hover, .cke_hc.cke_rtl a.cke_button_disabled:focus, .cke_hc.cke_rtl a.cke_button_disabled:active {
    margin: 0 0 5px 3px
}

a.cke_button_disabled .cke_button_icon, a.cke_button_disabled .cke_button_arrow {
    opacity: .3
}

.cke_hc a.cke_button_disabled {
    border-color: #acacac
}

    .cke_hc a.cke_button_disabled .cke_button_icon, .cke_hc a.cke_button_disabled .cke_button_label {
        opacity: .5
    }

.cke_toolgroup a.cke_button:last-child:after, .cke_toolgroup a.cke_button.cke_button_disabled:hover:last-child:after {
    content: "";
    position: absolute;
    height: 18px;
    width: 0;
    border-right: 1px solid #bcbcbc;
    margin-top: 4px;
    top: 0;
    right: -3px
}

.cke_rtl .cke_toolgroup a.cke_button:last-child:after, .cke_rtl .cke_toolgroup a.cke_button.cke_button_disabled:hover:last-child:after {
    border-right: 0;
    right: auto;
    border-left: 1px solid #bcbcbc;
    top: 0;
    left: -3px
}

.cke_hc .cke_toolgroup a.cke_button:last-child:after, .cke_hc .cke_toolgroup a.cke_button.cke_button_disabled:last-child:after, .cke_hc .cke_toolgroup a.cke_button.cke_button_disabled:hover:last-child:after {
    border-color: #000;
    top: 0;
    right: -7px
}

.cke_hc.cke_rtl .cke_toolgroup a.cke_button:last-child:after, .cke_hc.cke_rtl .cke_toolgroup a.cke_button.cke_button_disabled:last-child:after, .cke_hc.cke_rtl .cke_toolgroup a.cke_button.cke_button_disabled:hover:last-child:after {
    top: 0;
    right: auto;
    left: -7px
}

.cke_toolgroup a.cke_button:hover:last-child:after, .cke_toolgroup a.cke_button.cke_button_on:last-child:after {
    top: -1px;
    right: -4px
}

.cke_rtl .cke_toolgroup a.cke_button:hover:last-child:after, .cke_rtl .cke_toolgroup a.cke_button.cke_button_on:last-child:after {
    top: -1px;
    right: auto;
    left: -4px
}

.cke_hc .cke_toolgroup a.cke_button:hover:last-child:after, .cke_hc .cke_toolgroup a.cke_button.cke_button_on:last-child:after {
    top: -2px;
    right: -9px
}

.cke_hc.cke_rtl .cke_toolgroup a.cke_button:hover:last-child:after, .cke_hc.cke_rtl .cke_toolgroup a.cke_button.cke_button_on:last-child:after {
    top: -2px;
    right: auto;
    left: -9px
}

.cke_toolbar.cke_toolbar_last .cke_toolgroup a.cke_button:last-child:after {
    content: none;
    border: 0;
    width: 0;
    height: 0
}

.cke_button_icon {
    cursor: inherit;
    background-repeat: no-repeat;
    margin-top: 1px;
    width: 16px;
    height: 16px;
    float: left;
    display: inline-block
}

.cke_rtl .cke_button_icon {
    float: right
}

.cke_hc .cke_button_icon {
    display: none
}

.cke_button_label {
    display: none;
    padding-left: 3px;
    margin-top: 1px;
    line-height: 17px;
    vertical-align: middle;
    float: left;
    cursor: default;
    color: #484848
}

.cke_rtl .cke_button_label {
    padding-right: 3px;
    padding-left: 0;
    float: right
}

.cke_hc .cke_button_label {
    padding: 0;
    display: inline-block;
    font-size: 12px
}

.cke_button_arrow {
    display: inline-block;
    margin: 8px 0 0 1px;
    width: 0;
    height: 0;
    cursor: default;
    vertical-align: top;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 3px solid #484848
}

.cke_rtl .cke_button_arrow {
    margin-right: 5px;
    margin-left: 0
}

.cke_hc .cke_button_arrow {
    font-size: 10px;
    margin: 3px 0 0 3px;
    width: auto;
    border: 0
}

.cke_toolbar_separator {
    float: left;
    background-color: #bcbcbc;
    margin: 4px 2px 0 2px;
    height: 18px;
    width: 1px
}

.cke_rtl .cke_toolbar_separator {
    float: right
}

.cke_hc .cke_toolbar_separator {
    background-color: #000;
    margin-left: 2px;
    margin-right: 5px;
    margin-bottom: 9px
}

.cke_hc.cke_rtl .cke_toolbar_separator {
    margin-left: 5px;
    margin-right: 2px
}

.cke_toolbar_break {
    display: block;
    clear: left
}

.cke_rtl .cke_toolbar_break {
    clear: right
}

a.cke_toolbox_collapser {
    width: 12px;
    height: 11px;
    float: right;
    margin: 11px 0 0;
    font-size: 0;
    cursor: default;
    text-align: center;
    border: 1px solid #bcbcbc
}

.cke_rtl .cke_toolbox_collapser {
    float: left
}

.cke_toolbox_collapser:hover {
    background: #e5e5e5
}

.cke_toolbox_collapser.cke_toolbox_collapser_min {
    margin: 0 2px 4px
}

.cke_toolbox_collapser .cke_arrow {
    display: inline-block;
    height: 0;
    width: 0;
    font-size: 0;
    margin-top: 1px;
    border: 3px solid transparent;
    border-bottom-color: #484848
}

.cke_toolbox_collapser.cke_toolbox_collapser_min .cke_arrow {
    margin-top: 4px;
    border-bottom-color: transparent;
    border-top-color: #484848
}

.cke_hc .cke_toolbox_collapser .cke_arrow {
    font-size: 8px;
    width: auto;
    border: 0;
    margin-top: 0
}

.cke_menuitem span {
    cursor: default
}

.cke_menubutton {
    display: block
}

.cke_hc .cke_menubutton {
    padding: 2px
}

.cke_menubutton:hover, .cke_menubutton:focus, .cke_menubutton:active {
    background-color: #e9e9e9;
    display: block;
    outline: 1px dotted
}

.cke_menubutton:hover {
    outline: 0
}

.cke_hc .cke_menubutton:hover, .cke_hc .cke_menubutton:focus, .cke_hc .cke_menubutton:active {
    border: 2px solid;
    padding: 0
}

.cke_menubutton_disabled:hover, .cke_menubutton_disabled:focus, .cke_menubutton_disabled:active {
    background-color: transparent;
    outline: 0
}

.cke_menubutton_inner {
    display: table-row
}

.cke_menubutton_icon, .cke_menubutton_label, .cke_menuarrow {
    display: table-cell
}

.cke_menubutton_icon {
    background-color: #f8f8f8;
    padding: 6px 4px
}

.cke_hc .cke_menubutton_icon {
    height: 16px;
    width: 0;
    padding: 4px 0
}

.cke_menubutton:hover .cke_menubutton_icon, .cke_menubutton:focus .cke_menubutton_icon, .cke_menubutton:active .cke_menubutton_icon {
    background-color: #e9e9e9
}

.cke_menubutton_disabled:hover .cke_menubutton_icon, .cke_menubutton_disabled:focus .cke_menubutton_icon, .cke_menubutton_disabled:active .cke_menubutton_icon {
    background-color: #f8f8f8;
    outline: 0
}

.cke_menuitem .cke_menubutton_on {
    background-color: #e9e9e9;
    border: 1px solid #dedede;
    outline: 0
}

.cke_menubutton_on .cke_menubutton_icon {
    padding-right: 3px;
    background-color: #e9e9e9
}

.cke_menubutton_label {
    padding: 0 5px;
    background-color: transparent;
    width: 100%;
    vertical-align: middle
}

.cke_menubutton_shortcut {
    color: #979797
}

.cke_menubutton_disabled .cke_menubutton_label {
    opacity: .3;
    filter: alpha(opacity=30)
}

.cke_panel_frame .cke_menubutton_label {
    display: none
}

.cke_menuseparator {
    background-color: #d1d1d1;
    height: 1px
}

.cke_menuarrow {
    background: transparent url(images/arrow.png) no-repeat 0 10px;
    padding: 0 5px
}

.cke_rtl .cke_menuarrow {
    background-position: 5px -13px;
    background-repeat: no-repeat
}

.cke_hc .cke_menuarrow {
    background-image: none
}

.cke_menuarrow span {
    display: none
}

.cke_hc .cke_menuarrow span {
    vertical-align: middle;
    display: inline
}

.cke_combo {
    display: inline-block;
    float: left;
    position: relative;
    margin-bottom: 5px
}

.cke_rtl .cke_combo {
    float: right
}

.cke_hc .cke_combo {
    margin-top: 1px;
    margin-bottom: 10px
}

.cke_combo:after {
    content: "";
    position: absolute;
    height: 18px;
    width: 0;
    border-right: 1px solid #bcbcbc;
    margin-top: 5px;
    top: 0;
    right: 0
}

.cke_rtl .cke_combo:after {
    border-right: 0;
    border-left: 1px solid #bcbcbc;
    right: auto;
    left: 0
}

.cke_hc .cke_combo:after {
    border-color: #000
}

a.cke_combo_button {
    cursor: default;
    display: inline-block;
    float: left;
    margin: 0;
    padding: 1px
}

.cke_rtl a.cke_combo_button {
    float: right
}

.cke_hc a.cke_combo_button {
    padding: 4px
}

.cke_combo_on a.cke_combo_button, .cke_combo_off a.cke_combo_button:hover, .cke_combo_off a.cke_combo_button:focus, .cke_combo_off a.cke_combo_button:active {
    background: #e5e5e5;
    border: 1px solid #bcbcbc;
    padding: 0 0 0 1px;
    margin-left: -1px
}

.cke_combo_off a.cke_combo_button:focus {
    outline: 0
}

.cke_combo_on a.cke_combo_button, .cke_combo_off a.cke_combo_button:active {
    background: #fff
}

.cke_rtl .cke_combo_on a.cke_combo_button, .cke_rtl .cke_combo_off a.cke_combo_button:hover, .cke_rtl .cke_combo_off a.cke_combo_button:focus, .cke_rtl .cke_combo_off a.cke_combo_button:active {
    padding: 0 1px 0 0;
    margin-left: 0;
    margin-right: -1px
}

.cke_hc .cke_combo_on a.cke_combo_button, .cke_hc .cke_combo_off a.cke_combo_button:hover, .cke_hc .cke_combo_off a.cke_combo_button:focus, .cke_hc .cke_combo_off a.cke_combo_button:active {
    border: 3px solid #000;
    padding: 1px 1px 1px 2px
}

.cke_hc.cke_rtl .cke_combo_on a.cke_combo_button, .cke_hc.cke_rtl .cke_combo_off a.cke_combo_button:hover, .cke_hc.cke_rtl .cke_combo_off a.cke_combo_button:focus, .cke_hc.cke_rtl .cke_combo_off a.cke_combo_button:active {
    padding: 1px 2px 1px 1px
}

.cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 0 0 0 3px;
    margin-left: -3px
}

.cke_rtl .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_rtl .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_rtl .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_rtl .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 0 3px 0 0;
    margin-left: 0;
    margin-right: -3px
}

.cke_hc .cke_toolbar > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_hc .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_hc .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_hc .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 1px 1px 1px 7px;
    margin-left: -6px
}

.cke_hc.cke_rtl .cke_toolbar > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_hc.cke_rtl .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_hc.cke_rtl .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_hc.cke_rtl .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 1px 7px 1px 1px;
    margin-left: 0;
    margin-right: -6px
}

.cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active, .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 0;
    margin: 0
}

.cke_hc .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_hc .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_hc .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_hc .cke_toolbox .cke_toolbar:first-child > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active, .cke_hc .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_on a.cke_combo_button, .cke_hc .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:hover, .cke_hc .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:focus, .cke_hc .cke_toolbar_break + .cke_toolbar > .cke_toolbar_start + .cke_combo_off a.cke_combo_button:active {
    padding: 1px;
    margin: 0
}

.cke_toolbar .cke_combo + .cke_toolbar_end, .cke_toolbar .cke_combo + .cke_toolgroup {
    margin-right: 0;
    margin-left: 2px
}

.cke_rtl .cke_toolbar .cke_combo + .cke_toolbar_end, .cke_rtl .cke_toolbar .cke_combo + .cke_toolgroup {
    margin-left: 0;
    margin-right: 2px
}

.cke_hc .cke_toolbar .cke_combo + .cke_toolbar_end, .cke_hc .cke_toolbar .cke_combo + .cke_toolgroup {
    margin-left: 5px
}

.cke_hc.cke_rtl .cke_toolbar .cke_combo + .cke_toolbar_end, .cke_hc.cke_rtl .cke_toolbar .cke_combo + .cke_toolgroup {
    margin-left: 0;
    margin-right: 5px
}

.cke_toolbar.cke_toolbar_last .cke_combo:nth-last-child(-n+2):after {
    content: none;
    border: 0;
    width: 0;
    height: 0
}

.cke_combo_text {
    line-height: 26px;
    padding-left: 10px;
    text-overflow: ellipsis;
    overflow: hidden;
    float: left;
    cursor: default;
    color: #484848;
    width: 60px
}

.cke_rtl .cke_combo_text {
    float: right;
    text-align: right;
    padding-left: 0;
    padding-right: 10px
}

.cke_hc .cke_combo_text {
    line-height: 18px;
    font-size: 12px
}

.cke_combo_open {
    cursor: default;
    display: inline-block;
    font-size: 0;
    height: 19px;
    line-height: 17px;
    margin: 1px 10px 1px;
    width: 5px
}

.cke_hc .cke_combo_open {
    height: 12px
}

.cke_combo_arrow {
    cursor: default;
    margin: 11px 0 0;
    float: left;
    height: 0;
    width: 0;
    font-size: 0;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 3px solid #484848
}

.cke_hc .cke_combo_arrow {
    font-size: 10px;
    width: auto;
    border: 0;
    margin-top: 3px
}

.cke_combo_label {
    display: none;
    float: left;
    line-height: 26px;
    vertical-align: top;
    margin-right: 5px
}

.cke_rtl .cke_combo_label {
    float: right;
    margin-left: 5px;
    margin-right: 0
}

.cke_combo_disabled .cke_combo_inlinelabel, .cke_combo_disabled .cke_combo_open {
    opacity: .3
}

.cke_path {
    float: left;
    margin: -2px 0 2px
}

a.cke_path_item, span.cke_path_empty {
    display: inline-block;
    float: left;
    padding: 3px 4px;
    margin-right: 2px;
    cursor: default;
    text-decoration: none;
    outline: 0;
    border: 0;
    color: #484848;
    font-weight: bold;
    font-size: 11px
}

.cke_rtl .cke_path, .cke_rtl .cke_path_item, .cke_rtl .cke_path_empty {
    float: right
}

a.cke_path_item:hover, a.cke_path_item:focus, a.cke_path_item:active {
    background-color: #e5e5e5
}

.cke_hc a.cke_path_item:hover, .cke_hc a.cke_path_item:focus, .cke_hc a.cke_path_item:active {
    border: 2px solid;
    padding: 1px 2px
}

.cke_button__source_label, .cke_button__sourcedialog_label {
    display: inline
}

.cke_combopanel__fontsize {
    width: 135px
}

textarea.cke_source {
    font-family: Tahoma,Monospace;
    font-size: small;
    background-color: #fff;
    white-space: pre-wrap;
    border: 0;
    padding: 0;
    margin: 0;
    display: block
}

.cke_wysiwyg_frame, .cke_wysiwyg_div {
    background-color: #fff
}

.cke_notifications_area {
    pointer-events: none
}

.cke_notification {
    pointer-events: auto;
    position: relative;
    margin: 10px;
    width: 300px;
    color: white;
    text-align: center;
    opacity: .95;
    filter: alpha(opacity = 95);
    -webkit-animation: fadeIn .7s;
    animation: fadeIn .7s
}

.cke_notification_message a {
    color: #12306f
}

@-webkit-keyframes fadeIn {
    from {
        opacity: .4
    }

    to {
        opacity: .95
    }
}

@keyframes fadeIn {
    from {
        opacity: .4
    }

    to {
        opacity: .95
    }
}

.cke_notification_success {
    background: #72b572;
    border: 1px solid #63a563
}

.cke_notification_warning {
    background: #c83939;
    border: 1px solid #902b2b
}

.cke_notification_info {
    background: #2e9ad0;
    border: 1px solid #0f74a8
}

    .cke_notification_info span.cke_notification_progress {
        background-color: #0f74a8;
        display: block;
        padding: 0;
        margin: 0;
        height: 100%;
        overflow: hidden;
        position: absolute;
        z-index: 1
    }

.cke_notification_message {
    position: relative;
    margin: 4px 23px 3px;
    font-family: Tahoma,Helvetica,sans-serif;
    font-size: 12px;
    line-height: 18px;
    z-index: 4;
    text-overflow: ellipsis;
    overflow: hidden
}

.cke_notification_close {
    background-image: url(images/close.png);
    background-repeat: no-repeat;
    background-position: 50%;
    position: absolute;
    cursor: pointer;
    text-align: center;
    height: 20px;
    width: 20px;
    top: 1px;
    right: 1px;
    padding: 0;
    margin: 0;
    z-index: 5;
    opacity: .6;
    filter: alpha(opacity = 60)
}

    .cke_notification_close:hover {
        opacity: 1;
        filter: alpha(opacity = 100)
    }

    .cke_notification_close span {
        display: none
    }

.cke_notification_warning a.cke_notification_close {
    opacity: .8;
    filter: alpha(opacity = 80)
}

    .cke_notification_warning a.cke_notification_close:hover {
        opacity: 1;
        filter: alpha(opacity = 100)
    }

.cke_chrome {
    visibility: inherit
}

.cke_voice_label {
    display: none
}

legend.cke_voice_label {
    display: none
}

a.cke_button_disabled, a.cke_button_disabled:hover, a.cke_button_disabled:focus, a.cke_button_disabled:active {
    filter: alpha(opacity = 30)
}

.cke_button_disabled .cke_button_icon {
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#00ffffff,endColorstr=#00ffffff)
}

.cke_button_off:hover, .cke_button_off:focus, .cke_button_off:active {
    filter: alpha(opacity = 100)
}

.cke_combo_disabled .cke_combo_inlinelabel, .cke_combo_disabled .cke_combo_open {
    filter: alpha(opacity = 30)
}

.cke_toolbox_collapser {
    border: 1px solid #a6a6a6
}

    .cke_toolbox_collapser .cke_arrow {
        margin-top: 1px
    }

.cke_hc .cke_top, .cke_hc .cke_bottom, .cke_hc .cke_combo_button, .cke_hc a.cke_combo_button:hover, .cke_hc a.cke_combo_button:focus, .cke_hc .cke_toolgroup, .cke_hc .cke_button_on, .cke_hc a.cke_button_off:hover, .cke_hc a.cke_button_off:focus, .cke_hc a.cke_button_off:active, .cke_hc .cke_toolbox_collapser, .cke_hc .cke_toolbox_collapser:hover, .cke_hc .cke_panel_grouptitle {
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false)
}

.cke_button__about_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -0px !important;
}

.cke_button__bold_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -24px !important;
}

.cke_button__italic_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -48px !important;
}

.cke_button__strike_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -72px !important;
}

.cke_button__subscript_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -96px !important;
}

.cke_button__superscript_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -120px !important;
}

.cke_button__underline_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -144px !important;
}

.cke_button__bidiltr_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -168px !important;
}

.cke_button__bidirtl_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -192px !important;
}

.cke_button__blockquote_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -216px !important;
}

.cke_rtl .cke_button__copy_icon, .cke_mixed_dir_content .cke_rtl .cke_button__copy_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -240px !important;
}

.cke_ltr .cke_button__copy_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -264px !important;
}

.cke_rtl .cke_button__cut_icon, .cke_mixed_dir_content .cke_rtl .cke_button__cut_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -288px !important;
}

.cke_ltr .cke_button__cut_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -312px !important;
}

.cke_rtl .cke_button__paste_icon, .cke_mixed_dir_content .cke_rtl .cke_button__paste_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -336px !important;
}

.cke_ltr .cke_button__paste_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -360px !important;
}

.cke_button__bgcolor_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -384px !important;
}

.cke_button__textcolor_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -408px !important;
}

.cke_rtl .cke_button__templates_icon, .cke_mixed_dir_content .cke_rtl .cke_button__templates_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -432px !important;
}

.cke_ltr .cke_button__templates_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -456px !important;
}

.cke_button__copyformatting_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -480px !important;
}

.cke_button__creatediv_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -504px !important;
}

.cke_rtl .cke_button__find_icon, .cke_mixed_dir_content .cke_rtl .cke_button__find_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -528px !important;
}

.cke_ltr .cke_button__find_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -552px !important;
}

.cke_button__replace_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -576px !important;
}

.cke_button__flash_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -600px !important;
}

.cke_button__button_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -624px !important;
}

.cke_button__checkbox_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -648px !important;
}

.cke_button__form_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -672px !important;
}

.cke_button__hiddenfield_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -696px !important;
}

.cke_button__imagebutton_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -720px !important;
}

.cke_button__radio_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -744px !important;
}

.cke_rtl .cke_button__select_icon, .cke_mixed_dir_content .cke_rtl .cke_button__select_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -768px !important;
}

.cke_ltr .cke_button__select_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -792px !important;
}

.cke_rtl .cke_button__textarea_icon, .cke_mixed_dir_content .cke_rtl .cke_button__textarea_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -816px !important;
}

.cke_ltr .cke_button__textarea_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -840px !important;
}

.cke_rtl .cke_button__textfield_icon, .cke_mixed_dir_content .cke_rtl .cke_button__textfield_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -864px !important;
}

.cke_ltr .cke_button__textfield_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -888px !important;
}

.cke_button__horizontalrule_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -912px !important;
}

.cke_button__iframe_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -936px !important;
}

.cke_button__image_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -960px !important;
}

.cke_rtl .cke_button__indent_icon, .cke_mixed_dir_content .cke_rtl .cke_button__indent_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -984px !important;
}

.cke_ltr .cke_button__indent_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1008px !important;
}

.cke_rtl .cke_button__outdent_icon, .cke_mixed_dir_content .cke_rtl .cke_button__outdent_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1032px !important;
}

.cke_ltr .cke_button__outdent_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1056px !important;
}

.cke_button__smiley_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1080px !important;
}

.cke_button__justifyblock_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1104px !important;
}

.cke_button__justifycenter_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1128px !important;
}

.cke_button__justifyleft_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1152px !important;
}

.cke_button__justifyright_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1176px !important;
}

.cke_button__language_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1200px !important;
}

.cke_rtl .cke_button__anchor_icon, .cke_mixed_dir_content .cke_rtl .cke_button__anchor_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1224px !important;
}

.cke_ltr .cke_button__anchor_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1248px !important;
}

.cke_button__link_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1272px !important;
}

.cke_button__unlink_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1296px !important;
}

.cke_rtl .cke_button__bulletedlist_icon, .cke_mixed_dir_content .cke_rtl .cke_button__bulletedlist_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1320px !important;
}

.cke_ltr .cke_button__bulletedlist_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1344px !important;
}

.cke_rtl .cke_button__numberedlist_icon, .cke_mixed_dir_content .cke_rtl .cke_button__numberedlist_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1368px !important;
}

.cke_ltr .cke_button__numberedlist_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1392px !important;
}

.cke_button__maximize_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1416px !important;
}

.cke_rtl .cke_button__newpage_icon, .cke_mixed_dir_content .cke_rtl .cke_button__newpage_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1440px !important;
}

.cke_ltr .cke_button__newpage_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1464px !important;
}

.cke_rtl .cke_button__pagebreak_icon, .cke_mixed_dir_content .cke_rtl .cke_button__pagebreak_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1488px !important;
}

.cke_ltr .cke_button__pagebreak_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1512px !important;
}

.cke_rtl .cke_button__pastetext_icon, .cke_mixed_dir_content .cke_rtl .cke_button__pastetext_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1536px !important;
}

.cke_ltr .cke_button__pastetext_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1560px !important;
}

.cke_rtl .cke_button__pastefromword_icon, .cke_mixed_dir_content .cke_rtl .cke_button__pastefromword_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1584px !important;
}

.cke_ltr .cke_button__pastefromword_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1608px !important;
}

.cke_rtl .cke_button__preview_icon, .cke_mixed_dir_content .cke_rtl .cke_button__preview_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1632px !important;
}

.cke_ltr .cke_button__preview_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1656px !important;
}

.cke_button__print_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1680px !important;
}

.cke_button__removeformat_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1704px !important;
}

.cke_button__save_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1728px !important;
}

.cke_button__selectall_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1752px !important;
}

.cke_rtl .cke_button__showblocks_icon, .cke_mixed_dir_content .cke_rtl .cke_button__showblocks_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1776px !important;
}

.cke_ltr .cke_button__showblocks_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1800px !important;
}

.cke_rtl .cke_button__source_icon, .cke_mixed_dir_content .cke_rtl .cke_button__source_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1824px !important;
}

.cke_ltr .cke_button__source_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1848px !important;
}

.cke_button__specialchar_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1872px !important;
}

.cke_button__scayt_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1896px !important;
}

.cke_button__table_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1920px !important;
}

.cke_rtl .cke_button__redo_icon, .cke_mixed_dir_content .cke_rtl .cke_button__redo_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1944px !important;
}

.cke_ltr .cke_button__redo_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1968px !important;
}

.cke_rtl .cke_button__undo_icon, .cke_mixed_dir_content .cke_rtl .cke_button__undo_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -1992px !important;
}

.cke_ltr .cke_button__undo_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -2016px !important;
}

.cke_button__spellchecker_icon {
    background: url(icons.png?t=95e5d83) no-repeat 0 -2040px !important;
}

.cke_hidpi .cke_button__about_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -0px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__bold_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -24px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__italic_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -48px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__strike_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -72px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__subscript_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -96px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__superscript_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -120px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__underline_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -144px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__bidiltr_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -168px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__bidirtl_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -192px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__blockquote_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -216px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__copy_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__copy_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -240px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__copy_icon, .cke_ltr.cke_hidpi .cke_button__copy_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -264px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__cut_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__cut_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -288px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__cut_icon, .cke_ltr.cke_hidpi .cke_button__cut_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -312px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__paste_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__paste_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -336px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__paste_icon, .cke_ltr.cke_hidpi .cke_button__paste_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -360px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__bgcolor_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -384px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__textcolor_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -408px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__templates_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__templates_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -432px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__templates_icon, .cke_ltr.cke_hidpi .cke_button__templates_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -456px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__copyformatting_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -480px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__creatediv_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -504px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__find_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__find_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -528px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__find_icon, .cke_ltr.cke_hidpi .cke_button__find_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -552px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__replace_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -576px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__flash_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -600px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__button_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -624px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__checkbox_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -648px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__form_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -672px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__hiddenfield_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -696px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__imagebutton_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -720px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__radio_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -744px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__select_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__select_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -768px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__select_icon, .cke_ltr.cke_hidpi .cke_button__select_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -792px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__textarea_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__textarea_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -816px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__textarea_icon, .cke_ltr.cke_hidpi .cke_button__textarea_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -840px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__textfield_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__textfield_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -864px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__textfield_icon, .cke_ltr.cke_hidpi .cke_button__textfield_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -888px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__horizontalrule_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -912px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__iframe_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -936px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__image_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -960px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__indent_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__indent_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -984px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__indent_icon, .cke_ltr.cke_hidpi .cke_button__indent_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1008px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__outdent_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__outdent_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1032px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__outdent_icon, .cke_ltr.cke_hidpi .cke_button__outdent_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1056px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__smiley_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1080px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__justifyblock_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1104px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__justifycenter_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1128px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__justifyleft_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1152px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__justifyright_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1176px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__language_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1200px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__anchor_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__anchor_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1224px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__anchor_icon, .cke_ltr.cke_hidpi .cke_button__anchor_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1248px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__link_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1272px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__unlink_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1296px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__bulletedlist_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__bulletedlist_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1320px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__bulletedlist_icon, .cke_ltr.cke_hidpi .cke_button__bulletedlist_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1344px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__numberedlist_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__numberedlist_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1368px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__numberedlist_icon, .cke_ltr.cke_hidpi .cke_button__numberedlist_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1392px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__maximize_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1416px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__newpage_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__newpage_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1440px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__newpage_icon, .cke_ltr.cke_hidpi .cke_button__newpage_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1464px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__pagebreak_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__pagebreak_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1488px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__pagebreak_icon, .cke_ltr.cke_hidpi .cke_button__pagebreak_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1512px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__pastetext_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__pastetext_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1536px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__pastetext_icon, .cke_ltr.cke_hidpi .cke_button__pastetext_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1560px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__pastefromword_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__pastefromword_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1584px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__pastefromword_icon, .cke_ltr.cke_hidpi .cke_button__pastefromword_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1608px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__preview_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__preview_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1632px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__preview_icon, .cke_ltr.cke_hidpi .cke_button__preview_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1656px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__print_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1680px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__removeformat_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1704px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__save_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1728px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__selectall_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1752px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__showblocks_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__showblocks_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1776px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__showblocks_icon, .cke_ltr.cke_hidpi .cke_button__showblocks_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1800px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__source_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__source_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1824px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__source_icon, .cke_ltr.cke_hidpi .cke_button__source_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1848px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__specialchar_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1872px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__scayt_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1896px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__table_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1920px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__redo_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__redo_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1944px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__redo_icon, .cke_ltr.cke_hidpi .cke_button__redo_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1968px !important;
    background-size: 16px !important;
}

.cke_rtl.cke_hidpi .cke_button__undo_icon, .cke_hidpi .cke_mixed_dir_content .cke_rtl .cke_button__undo_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -1992px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_ltr .cke_button__undo_icon, .cke_ltr.cke_hidpi .cke_button__undo_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -2016px !important;
    background-size: 16px !important;
}

.cke_hidpi .cke_button__spellchecker_icon {
    background: url(icons_hidpi.png?t=95e5d83) no-repeat 0 -2040px !important;
    background-size: 16px !important;
}
